Bug 1471871 (CVE-2017-10135) - CVE-2017-10135 OpenJDK: PKCS#8 implementation timing attack (JCE, 8176760)
Summary: CVE-2017-10135 OpenJDK: PKCS#8 implementation timing attack (JCE, 8176760)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-10135
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1466515
TreeView+ depends on / blocked
 
Reported: 2017-07-17 14:50 UTC by Tomas Hoger
Modified: 2019-09-29 14:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A covert timing channel flaw was found in the PKCS#8 implementation in the JCE component of OpenJDK. A remote attacker able to make a Java application repeatedly compare PKCS#8 key against an attacker controlled value could possibly use this flaw to determine the key via a timing side channel.
Clone Of:
Environment:
Last Closed: 2017-08-14 07:46:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1789 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2017-07-20 21:49:13 UTC
Red Hat Product Errata RHSA-2017:1790 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 20:16:58 UTC
Red Hat Product Errata RHSA-2017:1791 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-14 19:49:45 UTC
Red Hat Product Errata RHSA-2017:1792 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2017-12-14 20:06:49 UTC
Red Hat Product Errata RHSA-2017:2424 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2017-08-07 19:05:48 UTC

Description Tomas Hoger 2017-07-17 14:50:21 UTC
A covert timing channel flaw was found in the PKCS#8 implementation in the JCE component of OpenJDK.  A remote attacker able to make a Java application repeatedly compared PKCS#8 key against an attacker controlled value could possibly use this flaw to determine the key via a timing side channel.

Comment 1 Tomas Hoger 2017-07-18 19:54:26 UTC
Public now via Oracle CPU July 2017:

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixJAVA

The issue was fixed in Oracle JDK 8u141, 7u151, and 6u161.

Comment 2 Tomas Hoger 2017-07-19 14:22:38 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/079cd6c5de27

Comment 3 errata-xmlrpc 2017-07-20 16:01:23 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:1792 https://access.redhat.com/errata/RHSA-2017:1792

Comment 4 errata-xmlrpc 2017-07-20 16:03:37 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1791 https://access.redhat.com/errata/RHSA-2017:1791

Comment 5 errata-xmlrpc 2017-07-20 16:19:27 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1790 https://access.redhat.com/errata/RHSA-2017:1790

Comment 6 errata-xmlrpc 2017-07-20 17:51:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1789 https://access.redhat.com/errata/RHSA-2017:1789

Comment 7 errata-xmlrpc 2017-08-07 15:07:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2424 https://access.redhat.com/errata/RHSA-2017:2424


Note You need to log in before you can comment on or make changes to this bug.